/*
    The source code contained within this file is protected under the
    laws of the United States of America and by International Treaty.
    Unless otherwise noted, the source contained herein is:

    Copyright (c)1990, 1991, 1992 BecknerVision Inc - All Rights Reserved

    Written by John Wm Beckner        THIS NOTICE MUST NOT BE REMOVED
    BecknerVision Inc
    PO Box 11945                      SOURCE CODE (THIS FILE) MAY NOT BE
    Winston-Salem NC 27116            DISTRIBUTED!  ONLY REGISTERED USERS
    Fax: 919/760-1003                 OF BECKNER LIBRARY & UTILITIES II MAY
                                      BE IN POSSESSION OF THIS FILE.
*/

#include "beckner.inc"

FUNCTION iSyntax(cFilename, cFunction)
   LOCAL nBecknerFunc, cLine, cReturn
   nBecknerFunc := fOpen(cFilename)
   IF nBecknerFunc<0
      nBecknerFunc := fOpen(cFilename := fExtNew(cFilename, "PRG"))
      IF nBecknerFunc<0
         nBecknerFunc := fOpen(StrTran("\PRG\"+cFilename, "\\", "\"))
         IF nBecknerFunc<0
            RETURN ""
         ENDIF
      ENDIF
   ENDIF
   iif(cFunction=NIL, cFunction := iif("\"$cFilename,;
         SubStr(cFilename, rAt("\", cFilename)+1), cFilename),)
   cFunction := Upper(cFunction)
   WHILE !fEOF(nBecknerFunc)
      cLine := AllTrim(fReadLine(nBecknerFunc))
      IF Empty(cLine) .or. !Upper(Left(sParse(@cLine, " "), 4))$"FUNC|PROC";
         .or. Upper(lTrim(cLine))!=cFunction
         LOOP
      ENDIF
      cReturn := cLine
      WHILE Right(cReturn, 1)=";" .and. !fEOF()
         cReturn += AllTrim(fReadLine(nBecknerFunc))
      ENDWHILE
      EXIT
   ENDWHILE
   fClose(nBecknerFunc)
   RETURN cReturn
ENDFUNCTION
